import React from 'react';
import Usage from './Usage';
var props = [{
  name: 'children',
  type: {
    name: 'string'
  },
  required: true,
  description: 'Button label.'
}];
var methods = [{
  name: 'set',
  params: [{
    name: 'newValue',
    description: 'New value for the counter.',
    type: {
      name: 'Number'
    }
  }],
  returns: null,
  description: 'Sets the counter to a particular value.'
}];
describe('Usage', function () {
  it('should render props table', function () {
    var actual = shallow(React.createElement(Usage, {
      props: {
        props: props
      }
    }));
    expect(actual).toMatchSnapshot();
  });
  it('should render methods table', function () {
    var actual = shallow(React.createElement(Usage, {
      props: {
        methods: methods
      }
    }));
    expect(actual).toMatchSnapshot();
  });
  it('should render nothing without props and methods', function () {
    var actual = shallow(React.createElement(Usage, {
      props: {}
    }));
    expect(actual.getElement()).toBe(null);
  });
});